#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           plasma5support
Version: 6.0.4
Release:        %mkrel %rel
Summary:        Support components for porting from KF5/Qt5 to KF6/Qt6
License:        CC0-1.0 LGPL-2.0+ LGPL-2.1 LGPL-3.0
Group:          System/Libraries
URL:            https://invent.kde.org/plasma/plasma5support
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros
BuildRequires:  doxygen

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickTest)
BuildRequires:  cmake(Qt6ToolsTools)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Package)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6XmlGui)

%description
Migration aids for KF5 -> KF6 migration.

%files -f %{name}.lang
%_kf6_categoriesdir/plasma5support.*
%_kf6_datadir/plasma5support/
%_kf6_qmldir/org/kde/plasma/plasma5support/

#--------------------------------------------------------------------

%define plasma5support_major 6
%define libplasma5support    %mklibname plasma5support %{plasma5support_major}

%package -n %{libplasma5support}
Summary:        Support components for porting from KF5/Qt5 to KF6/Qt6
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %{libplasma5support}
Migration aids for KF5 -> KF6 migration.

%files -n %{libplasma5support}
%_kf6_libdir/libPlasma5Support.so.%{plasma5support_major}
%_kf6_libdir/libPlasma5Support.so.%{version}

#--------------------------------------------------------------------

%define plasma5support_devel %mklibname plasma5support -d

%package -n %{plasma5support_devel}
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %{libplasma5support} = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

%description -n %{plasma5support_devel}
This package contains header files needed if you wish to build applications
based on %name.

%files -n %{plasma5support_devel}
%_includedir/Plasma5Support/
%_kf6_libdir/cmake/Plasma5Support/
%_kf6_libdir/libPlasma5Support.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name --with-qt --with-html


%changelog
* Tue Apr 16 2024 daviddavid <daviddavid> 6.0.4-1.mga10
+ Revision: 2057890
- New version 6.0.4

* Wed Mar 27 2024 daviddavid <daviddavid> 6.0.3-1.mga10
+ Revision: 2052489
- New version 6.0.3

* Tue Mar 12 2024 daviddavid <daviddavid> 6.0.2-1.mga10
+ Revision: 2049403
- New version 6.0.2

* Thu Mar 07 2024 daviddavid <daviddavid> 6.0.1-1.mga10
+ Revision: 2048152
- New version 6.0.1

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2045010
- New version 6.0.0

* Fri Feb 02 2024 neoclust <neoclust> 5.93.0-1.mga10
+ Revision: 2036799
- New version 5.93.0

* Thu Jan 11 2024 neoclust <neoclust> 5.92.0-1.mga10
+ Revision: 2030080
- New version 5.92.0

* Mon Jan 01 2024 neoclust <neoclust> 5.91.0-1.mga10
+ Revision: 2025699
- New version 5.91.0
- New version 5.90.0
- New version 5.90.0

* Sun Nov 12 2023 daviddavid <daviddavid> 5.27.80-1.mga10
+ Revision: 2006363
- initial package plasma5support

